Dist::Zilla::Plugin::ModuleInstall(3)

NAME
Dist::Zilla::Plugin::ModuleInstall - Build Module::Install based Distributions with Dist::Zilla

VERSION
version 0.01054021

SYNOPSIS
dist.ini

    [ModuleInstall]

DESCRIPTION
This module will create a Makefile.PL for installing the dist using Module::Install.

It is at present a very minimal feature set, but it works.

METHODS

  register_prereqs
Tells Dist::Zilla about our needs to have EU::MM larger than 6.42

  setup_installer
Generates the Makefile.PL, and runs it in a tmpdir, and then harvests the output and stores it in the dist selectively.

  build
Called by Dist::Zilla to build a built dist. ( ie: perl ./Makefile.PL )

  test
Called by Dist::Zilla to run a dists tests. ( ie: make test )

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Kent Fredric.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.